apiVersion: configsync.gke.io/v1beta1
kind: RootSync
metadata:
  name: kubeai-cluster-trait-sync
  namespace: config-management-system
  annotations:
    configsync.gke.io/deletion-propagation-policy: Foreground
spec:
  sourceFormat: "unstructured"
  git:
    repo: "https://gitlab.com/gcp-solutions-public/retail-edge/available-cluster-traits/kubeai-cluster-trait"
    branch: "main"
    dir: "/config/gdc/"
    auth: "none"